## org.eclipse.m2m.atl.debug.core.adwp
Class IntegerValue

    java.lang.Object
      org.eclipse.m2m.atl.debug.core.adwp.Value
          org.eclipse.m2m.atl.debug.core.adwp.IntegerValue

    public final class IntegerValue

extends Value

The Integer implementation of the debugger value.

Method Summary
`int` `getValue()`
`java.lang.String` `toString()`
`static IntegerValue` `valueOf(int integerValue)` Converts an int into a `IntegerValue`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getValue

    public int getValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### valueOf

    public static IntegerValue valueOf(int integerValue)

  Converts an int into a `IntegerValue`.

  Parameters:
    `integerValue` - the int
  Returns:
    the `IntegerValue`

Copyright 2007 IBM Corporation and others. All Rights Reserved.